View Issue Details

IDProjectCategoryView StatusLast Update
0004725Kali Linux[All Projects] Kali Package Bugpublic2018-10-30 11:21
ReporterkunkelAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionsuspended 
Product Version2018.1 
Target VersionFixed in Version 
Summary0004725: gnuradio companion
Descriptiongnuradio companion has stoped working as of the latest buiild of the gnuradio package.


# gnuradio-companion

Error: ( A window pops up)

Window title: ImportError

Window body:
Cannot import gnuradio.

Is the model path environment variable set correctly?
    All OS: PYTHONPATH

Is the library path environment variable set correctly?
    Linux: LD_LIBRARY_PATH
    Windows: PATH
    MacOSX: DYLD_LIBRARY_PATH


(No module named _runtime_swig)

Steps To Reproduce1) install kali-linux-sdr

2) gnuradio-companion

There will be an error message displayed

I have reproduced this on many installs. I just freshly installed off of "kali-linux-2018-W18-amd64.iso:

then did a apt install kali-linux-sdr

then tried gnuradio-companion
Additional InformationHappy to help get this working.

dpkg --status gnuradio
Package: gnuradio
Status: install ok installed
Priority: optional
Section: comm
Installed-Size: 84326
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Architecture: amd64
Multi-Arch: foreign
Version: 3.7.11-8

Activities

vvvelichkov

2018-08-09 15:42

reporter   ~0009436

This bug has been fixed in gnuradio 3.7.12.0-2
See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=895255

Dober

2018-08-11 23:28

reporter   ~0009441

But the latest version is 3.7.13.4-1 in Kali-rolling

vvvelichkov

2018-08-12 10:53

reporter   ~0009442

> But the latest version is 3.7.13.4-1 in Kali-rolling

The issue was reported 3 months ago and was for Version: 3.7.11-8. A lot of versions were released since then in Debian Testing [1], not all imported in Kali-rolling [2], but it was fixed in 3.7.12.0-2 and the later versions contains the fix as well.


[1] https://tracker.debian.org/pkg/gnuradio.
[2] https://bugs.kali.org/view.php?id=4725

g0tmi1k

2018-10-30 11:21

administrator   ~0009864

Due to the age of the OS (Kali Moto [v1], Kali Safi [v2], Kali Rolling 2016.x/2017.x/2018.1), these legacy versions are no longer supported.
We will be closing this ticket due to inactivity.

Please could you see if you are able to replicate this issue with the latest version of Kali Linux - https://www.kali.org/downloads/)?

If you are still facing the same problem, feel free to re-open the ticket. If you choose to do this, could you provide more information to the issue you are facing, and also give information about your setup?
For more information, please read: https://kali.training/topic/filing-a-good-bug-report/

Issue History

Date Modified Username Field Change
2018-04-29 15:57 kunkel New Issue
2018-08-09 15:42 vvvelichkov Note Added: 0009436
2018-08-11 23:28 Dober Note Added: 0009441
2018-08-12 10:53 vvvelichkov Note Added: 0009442
2018-08-18 04:34 elwood Status new => acknowledged
2018-10-30 11:21 g0tmi1k Status acknowledged => closed
2018-10-30 11:21 g0tmi1k Resolution open => suspended
2018-10-30 11:21 g0tmi1k Note Added: 0009864